in __bind(), set the md->map _after_ the zero size dev check.  [Christophe Saout]
--- diff/drivers/md/dm.c	2003-12-29 10:14:58.000000000 +0000
+++ source/drivers/md/dm.c	2004-01-02 11:16:50.000000000 +0000
@@ -744,13 +744,13 @@
 {
 	request_queue_t *q = md->queue;
 	sector_t size;
-	md->map = t;
 
 	size = dm_table_get_size(t);
 	__set_size(md->disk, size);
 	if (size == 0)
 		return 0;
 
+	md->map = t;
 	dm_table_event_callback(md->map, event_callback, md);
 
 	dm_table_get(t);
